Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.linear
Class InvalidMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.InvalidMatrixException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NonSquareMatrixException, SingularMatrixException

    public class InvalidMatrixException

extends MathRuntimeException

Thrown when a system attempts an operation on a matrix, and that matrix does not satisfy the preconditions for the aforementioned operation.

Version:
  $Revision: 746578 $ $Date: 2009-02-21 15:01:14 -0500 (Sat, 21 Feb 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`InvalidMatrixException(java.lang.String pattern, java.lang.Object... arguments)` Construct an exception with the given message.
`InvalidMatrixException(java.lang.Throwable cause)` Construct an exception with the given message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException
`createArithmeticException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNullPointerException, createParseException, getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### InvalidMatrixException

    public InvalidMatrixException(java.lang.String pattern,
                                  java.lang.Object... arguments)

  Construct an exception with the given message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments
  Since:
    2.0

### InvalidMatrixException

    public InvalidMatrixException(java.lang.Throwable cause)

  Construct an exception with the given message.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown.
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation